Remove Protected Database
delete
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/zdlra/{raTargetId}/protectedDatabases/{protectedDatabaseName}
Remove a protected database from a Recovery Appliance.
Request
Path Parameters
-
protectedDatabaseName(required): string
Protected database unique name or target name. If the value specified is a database target name in Enterprise Manager, then targetType parameter must also be specified in the URL. If targetType is not specified, this name will be assumed to be the protected database unique name.Example:
PROTDB1 -
raTargetId(required): string
Recovery Appliance Target id.Example:
F76BBCCBD8A0D4719A8AA588375FA8BE
Query Parameters
-
targetType: string
Protected Database target type. This can be oracle_database or rac_database. If this parameter is not specified, the protectedDatabaseName specified will be assumed to be the protected database unique name.Example:
oracle_database
Header Parameters
-
ORCL-EM-ZDLRATARGET-AUTHORIZATION(required): string
Recovery Appliance Administrator Credentials. The format must be NAMED:
(e.g. NAMED:ORSADMIN) or PREFERRED: (e.g. PREFERRED:PREF_ORSADMIN). If no value is specified, the system will use preferred credentials. Example:NAMED:ORSADMIN
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
202 Response
Accepted
Headers
-
Content-Location:
Status of the deployment procedure submitted can be viewed in this location.
Root Schema : ProtectedDatabaseDPSubmissionRemove
Type:
objectProtected database deployment procedure status.
Show Source
-
code(required): integer
HTTP status code.Example:
202 -
executionId(required): string
Procedure execution id.Example:
D2931B1862AF72E8E05355044B645556 -
instanceName(required): string
Procedure instance name.Example:
REMOVE_PROTECTED_DB_120321215846 -
message(required): string
Status of the submitted deployment procedure.Example:
Submitted successfully -
procedureId(required): string
Procedure submission id.Example:
D292F6B09ADA65FAE05355044B64D425 -
submissionBy(required): string
Enterprise Manager user that submitted the procedure.Example:
SYSMAN -
submissionName(required): string
Deployment Procedure submission name.Example:
REMOVE_PROTECTED_DB_120321215846
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
401 Response
Client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
403 Response
Forbidden. The user is forbidden to perform the requested operation
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
404 Response
Resource not found or not authorized for access
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
Indicates that a required service is not available
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description